<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Library</OutputType>
    <TargetFramework>net48</TargetFramework>
    <LangVersion>9.0</LangVersion>
    <AssemblyName>V2GDecoder.Library</AssemblyName>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Program.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="build.bat" />
    <None Remove="EXIDECODE.md" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Data\raw.hex">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>